import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/s_g_labour_request_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/s_g_labour_request_table_entity.g.dart';

@JsonSerializable()
class SGLabourRequestTableEntity {
	int total = 0;
	List<SGLabourRequestTableRows> rows = [];

	SGLabourRequestTableEntity();

	factory SGLabourRequestTableEntity.fromJson(Map<String, dynamic> json) => $SGLabourRequestTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourRequestTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class SGLabourRequestTableRows {
	String? id;
	String? source;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "outlet_name")
	String? outletName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	int status = 0;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "hiring_num")
	String? hiringNum;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "action_list")
	List<String> actionList = [];

	SGLabourRequestTableRows();

	factory SGLabourRequestTableRows.fromJson(Map<String, dynamic> json) => $SGLabourRequestTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $SGLabourRequestTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}